Subject: bug#28402: 25.2; shr.el uses shr-tag-img despite set shr-external-rendering-functions

From: Vasilij Schneidermann <[email-masked]>
Date: Wed, 13 Sep 2017 19:22:32 +0200

> From a cursory look into shr.el, it looks like
> shr-external-rendering-functions were introduced to support some
> specific eww.el needs, not as a general lever for tweaking shr.el from
> outside it.  That's why only a handful of functions honor that
> variable.

I suspected as much.

> Would you like to submit a patch that would make all shr-tag-*
> functions consult that variable first?

Before doing that I'd like to get a confirmation from the author whether
it's intended for shr-external-rendering-functions to become public API
and whether it should work globally, hence why I included them in the
CC.